# Shell

class Shell

  The Shell class is a concept class for shell-related enum classes.

  Public Types

  enum class Component : uint32_t

    Enumerates the shell components that vertex colors can be applied to.

    Values:

    enumerator Faces

      The vertex colors applied to faces.

    enumerator Edges

      The vertex colors applied to edges.

    enumerator Vertices

      The vertex colors applied to vertices.

  enum class HandednessOptimization : uint32_t

    Values:

    enumerator None

      Do nothing with handedness.

    enumerator Fix

      Converts the handedness of the minority of the face to the handedness of the majority.

    enumerator Reverse

      Reverses the handedness of the shell’s faces.

  enum class Relation : uint32_t

    Values:

    enumerator On

      The point is on this shell, within the specified tolerance.

    enumerator Off

      The point is not on this shell, within the specified tolerance.

    enumerator In

      The point is inside this shell.

    enumerator Out

      The point is outside this shell.

  enum class RelationTest : uint32_t

    Values:

    enumerator Simple

      The points will only be tested for whether they lie on this shell or not.

    enumerator Enclosure

      The points will be tested for whether they lie on this shell, are enclosed within, or are outside it.

    enumerator Distance

      The shortest distance from each point to this shell will be computed.

  enum class ToleranceUnits : uint32_t

    Values:

    enumerator ObjectSpace

      Base tolerance on absolute distance in object space.

    enumerator FeatureSizePercentage

      Base tolerance on percentage of the smallest non-zero distance between adjacent vertices or faces.

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating